X11::XCB::Window(3pm)

NAME
X11::XCB::Window - represents an X11 window

METHODS

  rect
As long as the window is not mapped, this returns the planned geometry. As soon as the window is mapped, this returns its geometry including the window decorations.

Thus, after the window is mapped, every time you access "rect", the geometry will be determined by querying X11 about it, thus generating at least 1 round- trip for non-reparenting window managers and two or more round-trips for reparenting window managers.

In scalar context it returns only the window’s geometry, in list context it returns the window’s geometry and the geometry of the top window (the one containing this window but the first one under the root window in hierarchy).

  attributes
Returns the X11 attributes of this window.

  map
Maps the window on the screen, that is, makes it visible.

  unmap
The opposite of map, that is, makes your window invisible.

  destroy
Destroys the window completely

  mapped
Returns whether the window is actually mapped (no internal state, but gets the window attributes from X11 and checks for MAP_STATE_VIEWABLE).

  create_child(options)
Creates a new "X11::XCB::Window" as a child window of the current window.

  add_hint($hint)
Adds the given $hint (one of "urgency") to the window’s set of hints.

  delete_hint($hint)
Opposite of add_hint.

  warp_pointer($x, $y)
Moves the pointer to the offsets ($x, $y) relative to the origin of the window on which it is called. If $x and $y are undef, moves the pointer into the center of the window.

  state
Returns the WM_STATE of this window (normal, withdrawn, iconic).